This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 852918 - Can add multiple tags to a topic from a group that should be exclusive
Can add multiple tags to a topic from a group that should be exclusive
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 22:13 EDT by Dana Mison
Modified: 2012-12-04 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852920 (view as bug list)
Environment:
Last Closed: 2012-12-04 18:13:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dana Mison 2012-08-29 22:13:41 EDT
When editing tags on a topic you can add multiple tags to a topic from a group that should be exclusive

Eg. you can add multiple topic types.

This might also apply to the different Priority tags as well (IA, SME, Engineering, PM, Nav

I'm going to guess and say that this was only enforced in the original UI.  It might be possible to bypass that constraint in the REST API.

Ideally this information (that a tag category can only have a single item selected in it for a given topic) should be a configuration item of the category and be enforced at least in the REST API, if not also in the model.
Comment 1 Matthew Casperson 2012-12-04 18:13:49 EST
Fixed in 201212050901

When attempting to add a tag in a mutually exclusive category, the user will be prompted with all the tags that will be removed, and asked if they want to continue.

Note You need to log in before you can comment on or make changes to this bug.